import request from '@/utils/request'

// 查询服务站 列表
export function listService(query) {
  return request({
    url: '/hj/service/list',
    method: 'get',
    params: query
  })
}

// 查询服务站 详细
export function getService(id) {
  return request({
    url: '/hj/service/' + id,
    method: 'get'
  })
}

// 新增服务站
export function addService(data) {
  return request({
    url: '/hj/service',
    method: 'post',
    data: data
  })
}

// 修改服务站
export function updateService(data) {
  return request({
    url: '/hj/service',
    method: 'put',
    data: data
  })
}

// 删除服务站
export function delService(id) {
  return request({
    url: '/hj/service/' + id,
    method: 'delete'
  })
}

// 导出服务站
export function exportService(query) {
  return request({
    url: '/hj/service/export',
    method: 'get',
    params: query
  })
}
